%define name       easytag
%define version 2.0
%define rel 1
%define build_plf 0
%define release %mkrel %rel
%{?_with_plf: %{expand: %%global build_plf 1}}
%if %build_plf
%define distsuffix plf
%endif
#fixed2
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

Summary:      Tag editor for MP3, OGG files
Name:         %name
Version:      %version
Release:      %release
License:      GPL
URL:          http://easytag.sourceforge.net
Group:        Sound
Source:       http://prdownloads.sourceforge.net/easytag/%{name}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%name-buildroot
Requires: gtk2 >= 2.4
BuildRequires: gtk2-devel >= 2.4
BuildRequires: id3lib-devel
BuildRequires: libvorbis-devel
BuildRequires: libflac-devel
%if %build_plf
BuildRequires: libmpeg4ip-devel >= 1.2
%endif
BuildRequires: autoconf2.5
BuildRequires: ImageMagick
BuildRequires: desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
EasyTAG is an utility for viewing and editing tags of MP3, MP2, FLAC,
Ogg Vorbis, MP4/AAC, MusePack and Monkey's Audio files. Its simple
and nice GTK+ interface makes tagging easier under GNU/Linux.
Features:
- View, edit, write tags of MP3, MP2 files (ID3 tag with pictures),
  FLAC files (FLAC Vorbis tag), Ogg Vorbis files (Ogg Vorbis tag),
  MP4/AAC (MP4/AAC tag), and MusePack, Monkey's Audio files (APE tag),
- Can edit more tag fields : Title, Artist, Album, Disc Album, Year,
  Track Number, Genre, Comment, Composer, Original Artist/Performer,
  Copyright, URL and Encoder name,
- Auto tagging: parse filename and directory to complete automatically
  the fields (using masks),
- Ability to rename files and directories from the tag (using masks) or by
  loading a text file,
- Process selected files of the selected directory,
- Ability to browse subdirectories,
- Recursion for tagging, removing, renaming, saving...,
- Can set a field (artist, title,...) to all other files,
- Read file header informations (bitrate, time, ...) and display them,
- Auto completion of the date if a partial is entered,
- Undo and redo last changes,
- Ability to process fields of tag and file name (convert letters into
  uppercase, downcase, ...),
- Ability to open a directory or a file with an external program,
- CDDB support using Freedb.org servers (manual and automatic search),
- A tree based browser or a view by Artist & Album,
- A list to select files,
- A playlist generator window,
- A file searching window,
- Simple and explicit interface!,
- French, German, Russian, Dutch, Hungarian, Swedish, Italian, Japanese,
  Ukrainian, Czech, Spanish, Polish, Romanian, Danish, Greek and Brazilian
  Portuguese translation languages,
- Written in C and uses GTK+ 2.4 for the GUI.
%if %build_plf
This package is in PLF as the MP4 support is violating patents.
%endif

%prep
%setup -q
#bzcat %SOURCE1 > po/de.po

%build
%configure2_5x
%make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
%{find_lang} %name
# install menu
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):\
needs="x11"\
section="Multimedia/Sound"\
title="EasyTAG"\
longtitle="An utility for viewing/editing MP3 tags with a GTK+ GUI."\
command="easytag"\
xdg="true" \
icon="%{name}.png"
EOF
# install icons
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
convert pixmaps/EasyTAG.xpm $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -scale 32x32 pixmaps/EasyTAG.xpm $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -scale 16x16 pixmaps/EasyTAG.xpm $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

desktop-file-install --vendor="" --add-category="GTK" \
	--add-mime-type="x-directory/normal" \
	--remove-category="Application" \
	--add-category="X-MandrivaLinux-Multimedia-Sound" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%{update_menus}
%update_desktop_database

%postun
%{clean_menus}
%clean_desktop_database

%files -f %{name}.lang
%defattr(-, root, root)
%doc ChangeLog INSTALL COPYING README TODO THANKS USERS-GUIDE
%doc doc/EasyTAG_Documentation*  doc/users_guide*
%{_bindir}/easytag
%{_mandir}/man1/easytag.1*
%{_datadir}/applications/easytag.desktop
%{_datadir}/pixmaps/*
%{_datadir}/easytag/
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}


%changelog
* Fri Feb 23 2007 Götz Waschk <waschk@mandriva.org> 2.0-1mdv2007.0
+ Revision: 124855
- new version
- drop source 1
- fix doc file listing

* Tue Dec 12 2006 Götz Waschk <waschk@mandriva.org> 1.99.13-1mdv2007.1
+ Revision: 95213
- new version
- update German translation
- drop patches
- switch back to id3lib

* Mon Dec 11 2006 Götz Waschk <waschk@mandriva.org> 1.99.12-5mdv2007.1
+ Revision: 95023
- bump release

* Mon Dec 11 2006 Götz Waschk <waschk@mandriva.org> 1.99.12-4mdv2007.1
+ Revision: 94989
- Import easytag



* Mon Dec 11 2006 Gtz Waschk <waschk@mandriva.org> 1.99.12-4mdv2007.1
- patch for new libflac
- libid3tag patch

* Mon Jun 19 2006 Gtz Waschk <waschk@mandriva.org> 1.99.12-3mdv2007.0
- use the new macro
- fix xdg menu

* Sun May 21 2006 Gtz Waschk <waschk@mandriva.org> 1.99.12-2mdk
- use the XDG menu
- own the data dir

* Mon Apr 10 2006 Gtz Waschk <waschk@mandriva.org> 1.99.12-1mdk
- update German translation
- New release 1.99.12

* Fri Dec 16 2005 Gtz Waschk <waschk@mandriva.org> 1.99.11-1mdk
- update German translation
- New release 1.99.11

* Tue Nov 29 2005 Gtz Waschk <waschk@mandriva.org> 1.99.10-1mdk
- update German translation
- update docs list
- new version

* Thu Nov  3 2005 Gtz Waschk <waschk@mandriva.org> 1.99.9-1mdk
- update German translation
- New release 1.99.9

* Mon Sep  5 2005 Gtz Waschk <waschk@mandriva.org> 1.99.8-3mdk
- update description

* Mon Sep  5 2005 Gtz Waschk <waschk@mandriva.org> 1.99.8-2mdk
- fix buildrequires

* Thu Sep  1 2005 Gtz Waschk <waschk@mandriva.org> 1.99.8-1mdk
- conditional faac support
- update de.po
- New release 1.99.8

* Mon Aug 15 2005 Gtz Waschk <waschk@mandriva.org> 1.99.7-2mdk
- update de.po

* Tue Jul 12 2005 Gtz Waschk <waschk@mandriva.org> 1.99.7-1mdk
- drop source1
- drop patch
- New release 1.99.7

* Wed Jun 29 2005 Gtz Waschk <waschk@mandriva.org> 1.99.6-2mdk
- fix for a browser entry bug

* Sun Jun 26 2005 Gtz Waschk <waschk@mandriva.org> 1.99.6-1mdk
- update source 1
- drop patch
- New release 1.99.6

* Wed Jun 15 2005 Gtz Waschk <waschk@mandriva.org> 1.99.5-4mdk
- German translation update

* Mon Jun 13 2005 Gtz Waschk <waschk@mandriva.org> 1.99.5-3mdk
- mkrel

* Fri Jun 10 2005 Gtz Waschk <waschk@mandriva.org> 1.99.5-2mdk
- patch: add disc number support to the tag scanner

* Tue Jun  7 2005 Gtz Waschk <waschk@mandriva.org> 1.99.5-1mdk
- update the german translation
- New release 1.99.5

* Mon May  2 2005 Gtz Waschk <waschk@mandriva.org> 1.99.4-1mdk
- update the german translation
- drop the patch
- New release 1.99.4

* Mon Apr 18 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.99.3-2mdk
- rebuild for new libflac

* Fri Jan 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.99.3-1mdk
- update german translation
- New release 1.99.3

* Tue Nov 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.99.2-1mdk
- update german translation
- update source URL
- New release 1.99.2

* Tue Oct 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.99.1-1mdk
- update German translation
- new version

* Thu Sep 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.31-8mdk
- small build patch
- update german translation
- drop patches
- new prerelease

* Wed Sep 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.31-7mdk
- fix cddb bug

* Sun Sep 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.31-6mdk
- update german translation
- patch in cover viewer
- new prerelease

* Mon Aug  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.31-5mdk
- rebuild for new flac

* Fri Jul 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.31-4mdk
- update german translation
- new prerelease

* Sun Jul  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.31-3mdk
- use imagemagick for the icons
- update german translation
- gtk2 prerelease

* Fri Jun  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.31-2mdk
- rebuild for new g++

* Mon May 31 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.31-1mdk
- update german translation
- new version

* Fri Apr  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.30.2-1mdk
- new version

* Tue Mar 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.30.1-1mdk
- update file list
- drop all patches
- new version

* Tue Feb  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.30-5mdk
- update description
- update to 0.30d bugfix release

* Tue Oct 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.30-4mdk
- update to 0.30c bugfix release

* Sat Oct 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.30-3mdk
- 0.30b bugfix release

* Sun Sep 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.30-2mdk
- update to 0.30a bugfix release

* Tue Sep  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.30-1mdk
- drop german translation
- new version

* Tue Sep  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.29-1mdk
- fix buildrequires
- update german translation
- new version

* Sun Jul 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.28.1-1mdk
- update german translation
- drop the patches
- new version

* Sun Jun 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.28-3mdk
- upgrade to 0.28b to fix problems with some gtk themes

* Tue Jun 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.28-2mdk
- remove prefix tag
- upgrade to 0.28a aka fix CDDB bug

* Mon Jun  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.28-1mdk
- update german translation
- new version

* Mon Apr 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.27.1-1mdk
- update german translation
- drop the patch
- new version

* Fri Apr  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.27-5mdk
- fix buildrequires
- new id3lib

* Tue Feb  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.27-4mdk
- replace patch by update to 0.27a bugfix release

* Mon Feb  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.27-3mdk
- add the german html help to the docs

* Mon Feb  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.27-2mdk
- replace patch with a real fix instead of a workaround

* Sun Feb  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.27-1mdk
- update german translation
- patch to make it compile 
- drop patches
- new version

* Sat Jan 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.26-2mdk
- update to 0.26b bugfix release

* Tue Dec 31 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.26-1mdk
- add man page
- update german translation
- drop the patches
- new version

* Sat Dec  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.25-4mdk
- update to the 0.25b bugfix release

* Fri Dec  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.25-3mdk
- update to the 0.25a bugfix release

* Mon Nov 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.25-2mdk
- rebuild with new id3lib

* Mon Nov 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.25-1mdk
- fix description
- update german translation
- 0.25

* Mon Nov  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.24.1-2mdk
- rebuild with new id3lib

* Fri Oct 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.24.1-1mdk
- update german translation
- drop patches
- new version

* Wed Oct  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.24-3mdk
- patch for libflac4

* Mon Sep 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.24-2mdk
- patch to fix problem with renaming more than one file

* Wed Sep 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.24-1mdk
- updated german translation
- new version

* Mon Sep  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.23.2-1mdk
- updated german translation
- removed merged patch
- new version

* Mon Aug 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.23-5mdk
- link with libFLAC shared library 

* Mon Aug 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.23-4mdk
- rebuild with new id3lib

* Mon Jul 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.23-3mdk
- gcc 3.2 build

* Mon Jul 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.23-2mdk
- new vorbis

* Fri Jul 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.23-1mdk
- 0.23
- remove updated german translation

* Thu Jul 18 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.22-1mdk
- update german translation
- autoconf 2.5 macro
- 0.22

* Wed May 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.21-1mdk
- uncompress png files
- 0.21
- remove updated translation

* Tue May 14 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.20-1mdk
- build with gcc3.1
- 0.20
- update german translation

* Tue Apr 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.19-1mdk
- update german translation
- 0.19

* Fri Apr 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.18.1-1mdk
- 0.18.1
- update german translation

* Thu Apr  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.18-1mdk
- update german translation
- 0.18

* Mon Mar 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.17.2-1mdk
- 0.17.2
- updated german translation

* Tue Mar 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.17.1-1mdk
- 0.17.1

* Thu Mar  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.17-1mdk
- 0.17
- removed merged de.po

* Sat Mar  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.16.1-1mdk
- updated german translation
- 0.16.1

* Tue Feb  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.16-1mdk
- updated summary
- updated german translation
- 0.16

* Tue Jan 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.15.7-1mdk
- s/.xpm/.png/g
- update german translation
- 0.15.7

* Thu Jan  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.15.6-2mdk
- rebuild with id3lib 3.8.0pre2.1

* Wed Jan  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.15.6-1mdk
- removed patch 0
- 0.15.6
- updated german translation

* Thu Dec 20 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.15.5-2mdk
- updated description

* Thu Dec 20 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.15.5-1mdk
- patch to link with libvorbis.so
- uses ogg and vorbis libs
- 0.15.5
- rebuild with id3lib 3.7.13 again

* Tue Oct 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.15.1-2mdk
- rebuild against new libid3

* Mon Sep 24 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.15.1-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.15.1 with autoconf/make

* Tue Aug 07 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.15-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- new stable version 0.15

* Wed Jul 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.14.4-1mdk
- updated to 0.14.4

* Tue Jun 26 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.14.3-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.14.3
	- made rpmlint happy

* Tue May 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.14.2-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.14.2

* Thu May 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.14.1-1mdk
- added in contribs by Gtz Waschk <waschk@linux-mandrake.com> :
	- adapted spec for mandrake
	- patched to use g++ for linking with libstdc++
	- added mandrake menu entry

* Fri Jun 2 2000 Jerome Couderc <j.couderc@ifrance.com>
  - Updated to include po files into the rpm package

* Fri May 5 2000 Jerome Couderc <j.couderc@ifrance.com>
  - Initial spec file.
